Subject: Re: [PATCH v2] [POWERPC] vdso: Fixes for cache block sizes

From: Olof Johansson <[email-masked]>
Date: Sun, 18 Nov 2007 22:25:19 -0600

On Mon, Nov 19, 2007 at 03:07:22PM +1100, Paul Mackerras wrote:
> Olof Johansson writes:
> 
> > [POWERPC] vdso: Fixes for cache line sizes
> > 
> > Current VDSO implementation is hardcoded to 128 byte cache blocks,
> > which are only used on IBM's 64-bit processors.
> > 
> > Convert it to get the  blocks sizes out of vdso_data instead, similar
> > to how the ppc64 in-kernel cache flush does it.
> 
> OK, but you have removed a "crclr cr0*4+so" instruction in a couple of
> places.  They are there so that the functions follow the convention
> for system calls, where cr0.SO set on return indicates an error, and
> clear indicates no error.  Was there any special reason why you
> removed them?  If not, please put them back (after the last cmp or
> dot-form instruction).

Good catch. They must have fallen off when I copied over the in-kernel
versions. I'll repost tomorrow.

Thanks,

-Olof